import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:tanami_app/features/deleteAccount/presentation/bloc/text_bloc.dart';
import 'package:tanami_app/features/deleteAccount/presentation/pages/delete_account_layout.dart';
import 'package:tanami_app/shared/components/text_widget.dart';

import '../../../../core/styles/app_color.dart';
import '../../../../core/styles/app_text.dart';
import '../../../../shared/components/bloc/checkbox/checkbox_bloc.dart';
import '../bloc/delete_account_bloc.dart';

class DeleteAccountScreen extends StatelessWidget {
  const DeleteAccountScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColor.plainWhite,
      appBar: AppBar(
        backgroundColor: AppColor.plainWhite,
        elevation: 0,
        scrolledUnderElevation: 0,
        title: TextWidget().text20W700(
          AppText.deleteAccountText,
          clr: AppColor.plainBlack,
        ),
        centerTitle: true,
      ),
      body: MultiBlocProvider(
        providers: [
          BlocProvider(
            // Create an instance of the OnboardingBloc
            create: (context) => DeleteAccountBloc(),
          ),
          BlocProvider(
            // Create an instance of the OnboardingBloc
            create: (context) => CheckboxBloc(),
          ),
          BlocProvider(
            // Create an instance of the OnboardingBloc
            create: (context) => TextBloc(350),
          ),
        ],
        child: const DeleteAccountLayout(),
      ),
    );
  }
}
